Bug 134003 - Pointer color change uses Root window pointer shape instead of application defined pointer shape
Pointer color change uses Root window pointer shape instead of application de...
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-09-28 17:57 EDT by David Meleedy
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-12 03:07:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Meleedy 2004-09-28 17:57:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.6)

Description of problem:
This bug has appeared in Redhat Enterprise 3 v.3, it does
not appear in Redhat 8.

I think I have narrowed this problem down to the version of
X-server that is running.  Version 4.3.0 had the problem.
I compiled Xfree86 4.4.0 myself and this version of XFree86 did
not have the problem.

To quickly reproduce this problem in Gnome (although it also
shows up in different window managers -- I've tried fvwm2):

Right click on the root window and select New Terminal
In the new terminal type:

xterm -ms red

You can see that the cursor in that xterm is a crosshair, not
an I beam. e.g. it is set to "XC_crosshair", not "XC_xterm"
as defined in /usr/include/X11/cursorfont.h

To see the correct cursor, type "xterm".  Now as you move
the cursor from one xterm to the other you can see the inappropriate
cursor change.

So I have also tried this with the program "rxvt" so I know
the problem is not xterm.

So the problem is not the application, because I have tested
both xterm and rxvt and the problem shows up.

It's not the window manager because I've tested both fvwm2 and gnome.

It looks like it's the XFree86 version because version 4.4.0 of
XFree86 did not exhibit this behavior.  Also, in previous versions
of Redhat, like Redhat 8, XFree86 4.2.1 did not seem to exhibit
this behavior.

Thanks for any help resolving this problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. xterm -ms red
2. xterm
3. move between the 2 windows to see pointer shape change incorrectly

Actual Results:  The pointer changed to the wrong shape in the color
changed xterm.

Expected Results:  The pointer should have been the application
defined pointer
"XC_xterm" which looks like an I-beam.

Additional info:

I think Xfree86 4.4.0 solves this problem.  You may need to
update XFree86 for Redhat Enterprise v.3
Comment 1 Mike A. Harris 2005-03-07 12:26:38 EST
Does this problem still occur in our latest XFree86 update for
Comment 2 Mike A. Harris 2005-05-12 03:07:01 EDT
We've released a few XFree86 updates for RHEL3 since this was reported,
and there's been no updates either way as to wether the problem was
fixed in an update or not.  The report doesn't have enough information
to perform a diagnosis either way, so I'm assuming the problem was
resolved in an update and closing the bug as "ERRATA".

Please update to the current release of XFree86 for RHEL3.

If the problem continues, report the issue to Red Hat Global Support
Services at http://www.redhat.com/support or by calling 1-888-RED-HAT1
to speak to a support associate, which is the official support mechanism
for Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.